Category
curl --request GET \
--url https://gladeapi.com/api/amazon/category \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/category"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProductCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>",
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
],
"productResults": {
"results": [
{
"title": "<string>",
"url": "<string>",
"asin": "<string>",
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"rating": 123,
"ratingsTotal": 4503599627370495,
"isPrime": true,
"sponsored": true,
"coupon": {
"label": "<string>"
}
}
],
"pageInfo": {
"currentPage": 123,
"totalPages": 4503599627370495,
"totalResults": 4503599627370495,
"hasNextPage": true,
"hasPrevPage": true
}
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Sellers & Categories
Get Amazon Category
Get category metadata and product results for an Amazon category node.
GET
/
api
/
amazon
/
category
Category
curl --request GET \
--url https://gladeapi.com/api/amazon/category \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/category"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProductCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>",
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
],
"productResults": {
"results": [
{
"title": "<string>",
"url": "<string>",
"asin": "<string>",
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"rating": 123,
"ratingsTotal": 4503599627370495,
"isPrime": true,
"sponsored": true,
"coupon": {
"label": "<string>"
}
}
],
"pageInfo": {
"currentPage": 123,
"totalPages": 4503599627370495,
"totalResults": 4503599627370495,
"hasNextPage": true,
"hasPrevPage": true
}
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}The
categoryId query parameter is required.Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Amazon marketplace code.
Available options:
US, UK, CA, DE, FR, IT, ES, AU, IN, MX, BR, JP, PL Amazon category node ID.
Results page, from 1 through 100.
Required range:
1 <= x <= 100Result ordering. Values are case-insensitive.
Available options:
FEATURED, MOST_RECENT, PRICE_ASCENDING, PRICE_DESCENDING, AVERAGE_CUSTOMER_REVIEW Response
Successful Amazon data response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

